diff --git a/doc/bash.0 b/doc/bash.0
index cec51773..29769d53 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -1256,77 +1265,77 @@ PPAARRAAMMEETTEERRSS
               %%[[_p]][[ll]]SS  The number of CPU seconds spent in system mode.
               %%PP        The CPU percentage, computed as (%U + %S) / %R.
 
-              The optional _p is a digit specifying the _p_r_e_c_i_s_i_o_n,  the  number
+              The  optional  _p is a digit specifying the _p_r_e_c_i_s_i_o_n, the number
               of fractional digits after a decimal point.  A value of 0 causes
               no decimal point or fraction to be output.  At most three places
-              after  the  decimal  point may be specified; values of _p greater
-              than 3 are changed to 3.  If _p is not specified, the value 3  is
+              after the decimal point may be specified; values  of  _p  greater
+              than  3 are changed to 3.  If _p is not specified, the value 3 is
               used.
 
-              The  optional ll specifies a longer format, including minutes, of
-              the form _M_Mm_S_S._F_Fs.  The value of _p determines  whether  or  not
+              The optional ll specifies a longer format, including minutes,  of
+              the  form  _M_Mm_S_S._F_Fs.   The value of _p determines whether or not
               the fraction is included.
 
-              If  this  variable  is not set, bbaasshh acts as if it had the value
-              $$''\\nnrreeaall\\tt%%33llRR\\nnuusseerr\\tt%%33llUU\\nnssyyss\\tt%%33llSS''.  If the value  is  null,
+              If this variable is not set, bbaasshh acts as if it  had  the  value
+              $$''\\nnrreeaall\\tt%%33llRR\\nnuusseerr\\tt%%33llUU\\nnssyyss\\tt%%33llSS''.   If  the value is null,
               no timing information is displayed.  A trailing newline is added
               when the format string is displayed.
-       TTMMOOUUTT  If set to a value greater than zero, TTMMOOUUTT  is  treated  as  the
+       TTMMOOUUTT  If  set  to  a  value greater than zero, TTMMOOUUTT is treated as the
               default timeout for the rreeaadd builtin.  The sseelleecctt command termi-
               nates if input does not arrive after TTMMOOUUTT seconds when input is
-              coming  from  a terminal.  In an interactive shell, the value is
+              coming from a terminal.  In an interactive shell, the  value  is
               interpreted as the number of seconds to wait for a line of input
               after issuing the primary prompt.  BBaasshh terminates after waiting
-              for that number of seconds if a complete line of input does  not
+              for  that number of seconds if a complete line of input does not
               arrive.
-       TTMMPPDDIIRR If  set, bbaasshh uses its value as the name of a directory in which
+       TTMMPPDDIIRR If set, bbaasshh uses its value as the name of a directory in  which
               bbaasshh creates temporary files for the shell's use.
        aauuttoo__rreessuummee
               This variable controls how the shell interacts with the user and
-              job  control.   If this variable is set, single word simple com-
+              job control.  If this variable is set, single word  simple  com-
               mands without redirections are treated as candidates for resump-
               tion of an existing stopped job.  There is no ambiguity allowed;
-              if there is more than one job beginning with the  string  typed,
-              the  job  most  recently  accessed  is  selected.  The _n_a_m_e of a
-              stopped job, in this context, is the command line used to  start
-              it.   If  set to the value _e_x_a_c_t, the string supplied must match
-              the name of a stopped job exactly;  if  set  to  _s_u_b_s_t_r_i_n_g,  the
-              string  supplied  needs  to  match  a substring of the name of a
-              stopped job.  The _s_u_b_s_t_r_i_n_g value provides functionality  analo-
-              gous  to the %%??  job identifier (see JJOOBB CCOONNTTRROOLL below).  If set
-              to any other value, the supplied string must be a  prefix  of  a
+              if  there  is more than one job beginning with the string typed,
+              the job most recently accessed  is  selected.   The  _n_a_m_e  of  a
+              stopped  job, in this context, is the command line used to start
+              it.  If set to the value _e_x_a_c_t, the string supplied  must  match
+              the  name  of  a  stopped  job exactly; if set to _s_u_b_s_t_r_i_n_g, the
+              string supplied needs to match a substring  of  the  name  of  a
+              stopped  job.  The _s_u_b_s_t_r_i_n_g value provides functionality analo-
+              gous to the %%??  job identifier (see JJOOBB CCOONNTTRROOLL below).  If  set
+              to  any  other  value, the supplied string must be a prefix of a
               stopped job's name; this provides functionality analogous to the
               %%_s_t_r_i_n_g job identifier.
        hhiissttcchhaarrss
-              The two or three characters which control history expansion  and
+              The  two or three characters which control history expansion and
               tokenization (see HHIISSTTOORRYY EEXXPPAANNSSIIOONN below).  The first character
-              is the _h_i_s_t_o_r_y _e_x_p_a_n_s_i_o_n character, the character which  signals
-              the  start  of  a  history  expansion, normally `!!'.  The second
-              character is the _q_u_i_c_k _s_u_b_s_t_i_t_u_t_i_o_n character, which is used  as
-              shorthand  for  re-running the previous command entered, substi-
-              tuting one string for another in the command.   The  default  is
-              `^^'.   The optional third character is the character which indi-
-              cates that the remainder of the line is a comment when found  as
-              the  first  character of a word, normally `##'.  The history com-
+              is  the _h_i_s_t_o_r_y _e_x_p_a_n_s_i_o_n character, the character which signals
+              the start of a history  expansion,  normally  `!!'.   The  second
+              character  is the _q_u_i_c_k _s_u_b_s_t_i_t_u_t_i_o_n character, which is used as
+              shorthand for re-running the previous command  entered,  substi-
+              tuting  one  string  for another in the command.  The default is
+              `^^'.  The optional third character is the character which  indi-
+              cates  that the remainder of the line is a comment when found as
+              the first character of a word, normally `##'.  The  history  com-
               ment character causes history substitution to be skipped for the
-              remaining  words on the line.  It does not necessarily cause the
+              remaining words on the line.  It does not necessarily cause  the
               shell parser to treat the rest of the line as a comment.
 
    AArrrraayyss
-       BBaasshh provides one-dimensional indexed and associative array  variables.
-       Any  variable may be used as an indexed array; the ddeeccllaarree builtin will
-       explicitly declare an array.  There is no maximum limit on the size  of
-       an  array, nor any requirement that members be indexed or assigned con-
-       tiguously.  Indexed arrays are  referenced  using  integers  (including
+       BBaasshh  provides one-dimensional indexed and associative array variables.
+       Any variable may be used as an indexed array; the ddeeccllaarree builtin  will
+       explicitly  declare an array.  There is no maximum limit on the size of
+       an array, nor any requirement that members be indexed or assigned  con-
+       tiguously.   Indexed  arrays  are  referenced using integers (including
        arithmetic expressions) and are zero-based; associative arrays are ref-
        erenced using arbitrary strings.  Unless otherwise noted, indexed array
        indices must be non-negative integers.
 
-       An  indexed  array is created automatically if any variable is assigned
+       An indexed array is created automatically if any variable  is  assigned
        to using the syntax _n_a_m_e[_s_u_b_s_c_r_i_p_t]=_v_a_l_u_e.  The _s_u_b_s_c_r_i_p_t is treated as
        an arithmetic expression that must evaluate to a number.  To explicitly
-       declare an indexed array, use ddeeccllaarree --aa _n_a_m_e (see SSHHEELLLL  BBUUIILLTTIINN  CCOOMM--
-       MMAANNDDSS  below).   ddeeccllaarree  --aa _n_a_m_e[[_s_u_b_s_c_r_i_p_t]] is also accepted; the _s_u_b_-
+       declare  an  indexed array, use ddeeccllaarree --aa _n_a_m_e (see SSHHEELLLL BBUUIILLTTIINN CCOOMM--
+       MMAANNDDSS below).  ddeeccllaarree --aa _n_a_m_e[[_s_u_b_s_c_r_i_p_t]] is also  accepted;  the  _s_u_b_-
        _s_c_r_i_p_t is ignored.
 
        Associative arrays are created using ddeeccllaarree --AA _n_a_m_e.
@@ -1334,130 +1343,130 @@ PPAARRAAMMEETTEERRSS
        Attributes may be specified for an array variable using the ddeeccllaarree and
        rreeaaddoonnllyy builtins.  Each attribute applies to all members of an array.
 
-       Arrays   are  assigned  to  using  compound  assignments  of  the  form
-       _n_a_m_e=((value_1 ... value_n)),  where  each  _v_a_l_u_e  is  of  the  form  [_s_u_b_-
-       _s_c_r_i_p_t]=_s_t_r_i_n_g.   Indexed array assignments do not require anything but
+       Arrays  are  assigned  to  using  compound  assignments  of  the   form
+       _n_a_m_e=((value_1  ...  value_n)),  where  each  _v_a_l_u_e  is  of  the form [_s_u_b_-
+       _s_c_r_i_p_t]=_s_t_r_i_n_g.  Indexed array assignments do not require anything  but
        _s_t_r_i_n_g.  When assigning to indexed arrays, if the optional brackets and
-       subscript  are supplied, that index is assigned to; otherwise the index
-       of the element assigned is the last index assigned to by the  statement
+       subscript are supplied, that index is assigned to; otherwise the  index
+       of  the element assigned is the last index assigned to by the statement
        plus one.  Indexing starts at zero.
 
        When assigning to an associative array, the subscript is required.
 
-       This  syntax is also accepted by the ddeeccllaarree builtin.  Individual array
-       elements may be assigned  to  using  the  _n_a_m_e[_s_u_b_s_c_r_i_p_t]=_v_a_l_u_e  syntax
-       introduced  above.  When assigning to an indexed array, if _n_a_m_e is sub-
-       scripted by a negative number, that number is interpreted  as  relative
-       to  one  greater  than  the  maximum index of _n_a_m_e, so negative indices
+       This syntax is also accepted by the ddeeccllaarree builtin.  Individual  array
+       elements  may  be  assigned  to  using the _n_a_m_e[_s_u_b_s_c_r_i_p_t]=_v_a_l_u_e syntax
+       introduced above.  When assigning to an indexed array, if _n_a_m_e is  sub-
+       scripted  by  a negative number, that number is interpreted as relative
+       to one greater than the maximum index  of  _n_a_m_e,  so  negative  indices
        count back from the end of the array, and an index of -1 references the
        last element.
 
-       Any  element  of  an  array may be referenced using ${_n_a_m_e[_s_u_b_s_c_r_i_p_t]}.
+       Any element of an array may  be  referenced  using  ${_n_a_m_e[_s_u_b_s_c_r_i_p_t]}.
        The braces are required to avoid conflicts with pathname expansion.  If
-       _s_u_b_s_c_r_i_p_t  is  @@  or **, the word expands to all members of _n_a_m_e.  These
-       subscripts differ only when the word appears within double quotes.   If
+       _s_u_b_s_c_r_i_p_t is @@ or **, the word expands to all members  of  _n_a_m_e.   These
+       subscripts  differ only when the word appears within double quotes.  If
        the word is double-quoted, ${_n_a_m_e[*]} expands to a single word with the
-       value of each array member separated by the first character of the  IIFFSS
+       value  of each array member separated by the first character of the IIFFSS
        special variable, and ${_n_a_m_e[@]} expands each element of _n_a_m_e to a sep-
-       arate word.  When there are no array  members,  ${_n_a_m_e[@]}  expands  to
-       nothing.   If  the  double-quoted  expansion  occurs within a word, the
-       expansion of the first parameter is joined with the beginning  part  of
-       the  original  word,  and the expansion of the last parameter is joined
-       with the last part of the original word.   This  is  analogous  to  the
-       expansion  of  the  special  parameters ** and @@ (see SSppeecciiaall PPaarraammeetteerrss
-       above).  ${#_n_a_m_e[_s_u_b_s_c_r_i_p_t]}  expands  to  the  length  of  ${_n_a_m_e[_s_u_b_-
-       _s_c_r_i_p_t]}.   If _s_u_b_s_c_r_i_p_t is ** or @@, the expansion is the number of ele-
-       ments in the array.  If the _s_u_b_s_c_r_i_p_t used to reference an  element  of
-       an  indexed  array  evaluates  to a number less than zero, it is inter-
-       preted as relative to one greater than the maximum index of the  array,
-       so  negative indices count back from the end of the array, and an index
+       arate  word.   When  there  are no array members, ${_n_a_m_e[@]} expands to
+       nothing.  If the double-quoted expansion  occurs  within  a  word,  the
+       expansion  of  the first parameter is joined with the beginning part of
+       the original word, and the expansion of the last  parameter  is  joined
+       with  the  last  part  of  the original word.  This is analogous to the
+       expansion of the special parameters ** and  @@  (see  SSppeecciiaall  PPaarraammeetteerrss
+       above).   ${#_n_a_m_e[_s_u_b_s_c_r_i_p_t]}  expands  to  the  length  of ${_n_a_m_e[_s_u_b_-
+       _s_c_r_i_p_t]}.  If _s_u_b_s_c_r_i_p_t is ** or @@, the expansion is the number of  ele-
+       ments  in  the array.  If the _s_u_b_s_c_r_i_p_t used to reference an element of
+       an indexed array evaluates to a number less than  zero,  it  is  inter-
+       preted  as relative to one greater than the maximum index of the array,
+       so negative indices count back from the end of the array, and an  index
        of -1 references the last element.
 
        Referencing an array variable without a subscript is equivalent to ref-
-       erencing  the array with a subscript of 0.  Any reference to a variable
+       erencing the array with a subscript of 0.  Any reference to a  variable
        using a valid subscript is legal, and bbaasshh will create an array if nec-
        essary.
 
-       An  array variable is considered set if a subscript has been assigned a
+       An array variable is considered set if a subscript has been assigned  a
        value.  The null string is a valid value.
 
-       It is possible to obtain the keys (indices) of an array as well as  the
-       values.   ${!!_n_a_m_e[_@]} and ${!!_n_a_m_e[_*]} expand to the indices assigned in
+       It  is possible to obtain the keys (indices) of an array as well as the
+       values.  ${!!_n_a_m_e[_@]} and ${!!_n_a_m_e[_*]} expand to the indices assigned  in
        array variable _n_a_m_e.  The treatment when in double quotes is similar to
        the expansion of the special parameters _@ and _* within double quotes.
 
-       The  uunnsseett  builtin  is  used to destroy arrays.  uunnsseett _n_a_m_e[_s_u_b_s_c_r_i_p_t]
-       destroys the array element at index _s_u_b_s_c_r_i_p_t.  Negative subscripts  to
-       indexed  arrays are interpreted as described above.  Care must be taken
-       to avoid unwanted side effects caused  by  pathname  expansion.   uunnsseett
+       The uunnsseett builtin is used to  destroy  arrays.   uunnsseett  _n_a_m_e[_s_u_b_s_c_r_i_p_t]
+       destroys  the array element at index _s_u_b_s_c_r_i_p_t.  Negative subscripts to
+       indexed arrays are interpreted as described above.  Care must be  taken
+       to  avoid  unwanted  side  effects caused by pathname expansion.  uunnsseett
        _n_a_m_e, where _n_a_m_e is an array, or uunnsseett _n_a_m_e[_s_u_b_s_c_r_i_p_t], where _s_u_b_s_c_r_i_p_t
        is ** or @@, removes the entire array.
 
-       The ddeeccllaarree, llooccaall, and rreeaaddoonnllyy builtins each accept a  --aa  option  to
-       specify  an  indexed  array  and  a --AA option to specify an associative
-       array.  If both options are supplied, --AA takes  precedence.   The  rreeaadd
-       builtin  accepts  a  --aa  option to assign a list of words read from the
+       The  ddeeccllaarree,  llooccaall,  and rreeaaddoonnllyy builtins each accept a --aa option to
+       specify an indexed array and a --AA  option  to  specify  an  associative
+       array.   If  both  options are supplied, --AA takes precedence.  The rreeaadd
+       builtin accepts a --aa option to assign a list of  words  read  from  the
        standard input to an array.  The sseett and ddeeccllaarree builtins display array
        values in a way that allows them to be reused as assignments.
 
 EEXXPPAANNSSIIOONN
        Expansion is performed on the command line after it has been split into
-       words.  There are seven kinds of expansion performed: _b_r_a_c_e  _e_x_p_a_n_s_i_o_n,
-       _t_i_l_d_e  _e_x_p_a_n_s_i_o_n,  _p_a_r_a_m_e_t_e_r  _a_n_d _v_a_r_i_a_b_l_e _e_x_p_a_n_s_i_o_n, _c_o_m_m_a_n_d _s_u_b_s_t_i_t_u_-
+       words.   There are seven kinds of expansion performed: _b_r_a_c_e _e_x_p_a_n_s_i_o_n,
+       _t_i_l_d_e _e_x_p_a_n_s_i_o_n, _p_a_r_a_m_e_t_e_r _a_n_d _v_a_r_i_a_b_l_e  _e_x_p_a_n_s_i_o_n,  _c_o_m_m_a_n_d  _s_u_b_s_t_i_t_u_-
        _t_i_o_n, _a_r_i_t_h_m_e_t_i_c _e_x_p_a_n_s_i_o_n, _w_o_r_d _s_p_l_i_t_t_i_n_g, and _p_a_t_h_n_a_m_e _e_x_p_a_n_s_i_o_n.
 
        The order of expansions is: brace expansion; tilde expansion, parameter
-       and  variable expansion, arithmetic expansion, and command substitution
-       (done in a left-to-right fashion); word splitting; and pathname  expan-
+       and variable expansion, arithmetic expansion, and command  substitution
+       (done  in a left-to-right fashion); word splitting; and pathname expan-
        sion.
 
        On systems that can support it, there is an additional expansion avail-
-       able: _p_r_o_c_e_s_s _s_u_b_s_t_i_t_u_t_i_o_n.  This is performed  at  the  same  time  as
-       tilde,  parameter,  variable, and arithmetic expansion and command sub-
+       able:  _p_r_o_c_e_s_s  _s_u_b_s_t_i_t_u_t_i_o_n.   This  is  performed at the same time as
+       tilde, parameter, variable, and arithmetic expansion and  command  sub-
        stitution.
 
        Only brace expansion, word splitting, and pathname expansion can change
-       the  number of words of the expansion; other expansions expand a single
-       word to a single word.  The only exceptions to this are the  expansions
+       the number of words of the expansion; other expansions expand a  single
+       word  to a single word.  The only exceptions to this are the expansions
        of "$$@@" and "$${{_n_a_m_e[[@@]]}}" as explained above (see PPAARRAAMMEETTEERRSS).
 
    BBrraaccee EExxppaannssiioonn
        _B_r_a_c_e _e_x_p_a_n_s_i_o_n is a mechanism by which arbitrary strings may be gener-
-       ated.  This mechanism is similar to _p_a_t_h_n_a_m_e _e_x_p_a_n_s_i_o_n, but  the  file-
+       ated.   This  mechanism is similar to _p_a_t_h_n_a_m_e _e_x_p_a_n_s_i_o_n, but the file-
        names generated need not exist.  Patterns to be brace expanded take the
        form of an optional _p_r_e_a_m_b_l_e, followed by either a series of comma-sep-
-       arated  strings or a sequence expression between a pair of braces, fol-
-       lowed by an optional _p_o_s_t_s_c_r_i_p_t.  The  preamble  is  prefixed  to  each
+       arated strings or a sequence expression between a pair of braces,  fol-
+       lowed  by  an  optional  _p_o_s_t_s_c_r_i_p_t.   The preamble is prefixed to each
        string contained within the braces, and the postscript is then appended
        to each resulting string, expanding left to right.
 
-       Brace expansions may be nested.  The results of  each  expanded  string
-       are  not  sorted;  left  to  right  order  is  preserved.  For example,
+       Brace  expansions  may  be nested.  The results of each expanded string
+       are not sorted;  left  to  right  order  is  preserved.   For  example,
        a{{d,c,b}}e expands into `ade ace abe'.
 
-       A sequence expression takes the form {{_x...._y[[...._i_n_c_r]]}}, where _x and _y  are
-       either  integers or single characters, and _i_n_c_r, an optional increment,
-       is an integer.  When integers are supplied, the expression  expands  to
-       each  number between _x and _y, inclusive.  Supplied integers may be pre-
-       fixed with _0 to force each term to have the same width.  When either  _x
-       or  _y  begins  with  a  zero, the shell attempts to force all generated
-       terms to contain the same number of digits, zero-padding  where  neces-
-       sary.   When  characters  are  supplied, the expression expands to each
-       character lexicographically between  _x  and  _y,  inclusive,  using  the
-       default  C  locale.   Note  that both _x and _y must be of the same type.
-       When the increment is supplied, it is used as  the  difference  between
+       A  sequence expression takes the form {{_x...._y[[...._i_n_c_r]]}}, where _x and _y are
+       either integers or single characters, and _i_n_c_r, an optional  increment,
+       is  an  integer.  When integers are supplied, the expression expands to
+       each number between _x and _y, inclusive.  Supplied integers may be  pre-
+       fixed  with _0 to force each term to have the same width.  When either _x
+       or _y begins with a zero, the shell  attempts  to  force  all  generated
+       terms  to  contain the same number of digits, zero-padding where neces-
+       sary.  When characters are supplied, the  expression  expands  to  each
+       character  lexicographically  between  _x  and  _y,  inclusive, using the
+       default C locale.  Note that both _x and _y must be  of  the  same  type.
+       When  the  increment  is supplied, it is used as the difference between
        each term.  The default increment is 1 or -1 as appropriate.
 
        Brace expansion is performed before any other expansions, and any char-
-       acters special to other expansions are preserved in the result.  It  is
-       strictly  textual.  BBaasshh does not apply any syntactic interpretation to
+       acters  special to other expansions are preserved in the result.  It is
+       strictly textual.  BBaasshh does not apply any syntactic interpretation  to
        the context of the expansion or the text between the braces.
 
-       A correctly-formed brace expansion must contain  unquoted  opening  and
-       closing  braces,  and  at  least one unquoted comma or a valid sequence
-       expression.  Any incorrectly formed brace expansion is left  unchanged.
+       A  correctly-formed  brace  expansion must contain unquoted opening and
+       closing braces, and at least one unquoted comma  or  a  valid  sequence
+       expression.   Any incorrectly formed brace expansion is left unchanged.
        A {{ or ,, may be quoted with a backslash to prevent its being considered
-       part of a brace expression.  To avoid conflicts with  parameter  expan-
+       part  of  a brace expression.  To avoid conflicts with parameter expan-
        sion, the string $${{ is not considered eligible for brace expansion.
 
        This construct is typically used as shorthand when the common prefix of
@@ -1467,36 +1476,36 @@ EEXXPPAANNSSIIOONN
        or
               chown root /usr/{ucb/{ex,edit},lib/{ex?.?*,how_ex}}
 
-       Brace expansion introduces a  slight  incompatibility  with  historical
-       versions  of sshh.  sshh does not treat opening or closing braces specially
-       when they appear as part of a word, and preserves them in  the  output.
-       BBaasshh  removes  braces  from  words as a consequence of brace expansion.
-       For example, a word entered to sshh as _f_i_l_e_{_1_,_2_} appears  identically  in
-       the  output.  The same word is output as _f_i_l_e_1 _f_i_l_e_2 after expansion by
-       bbaasshh.  If strict compatibility with sshh is desired, start bbaasshh with  the
+       Brace  expansion  introduces  a  slight incompatibility with historical
+       versions of sshh.  sshh does not treat opening or closing braces  specially
+       when  they  appear as part of a word, and preserves them in the output.
+       BBaasshh removes braces from words as a  consequence  of  brace  expansion.
+       For  example,  a word entered to sshh as _f_i_l_e_{_1_,_2_} appears identically in
+       the output.  The same word is output as _f_i_l_e_1 _f_i_l_e_2 after expansion  by
+       bbaasshh.   If strict compatibility with sshh is desired, start bbaasshh with the
        ++BB option or disable brace expansion with the ++BB option to the sseett com-
        mand (see SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below).
 
    TTiillddee EExxppaannssiioonn
-       If a word begins with an unquoted tilde character  (`~~'),  all  of  the
-       characters  preceding  the  first unquoted slash (or all characters, if
-       there is no unquoted slash) are considered a _t_i_l_d_e_-_p_r_e_f_i_x.  If none  of
-       the  characters  in  the tilde-prefix are quoted, the characters in the
-       tilde-prefix following the tilde are treated as a possible _l_o_g_i_n  _n_a_m_e.
-       If  this  login name is the null string, the tilde is replaced with the
-       value of the shell parameter HHOOMMEE.  If HHOOMMEE is unset, the  home  direc-
-       tory  of  the  user executing the shell is substituted instead.  Other-
-       wise, the tilde-prefix is replaced with the home  directory  associated
+       If  a  word  begins  with an unquoted tilde character (`~~'), all of the
+       characters preceding the first unquoted slash (or  all  characters,  if
+       there  is no unquoted slash) are considered a _t_i_l_d_e_-_p_r_e_f_i_x.  If none of
+       the characters in the tilde-prefix are quoted, the  characters  in  the
+       tilde-prefix  following the tilde are treated as a possible _l_o_g_i_n _n_a_m_e.
+       If this login name is the null string, the tilde is replaced  with  the
+       value  of  the shell parameter HHOOMMEE.  If HHOOMMEE is unset, the home direc-
+       tory of the user executing the shell is  substituted  instead.   Other-
+       wise,  the  tilde-prefix is replaced with the home directory associated
        with the specified login name.
 
-       If  the  tilde-prefix  is  a  `~+', the value of the shell variable PPWWDD
+       If the tilde-prefix is a `~+', the value  of  the  shell  variable  PPWWDD
        replaces the tilde-prefix.  If the tilde-prefix is a `~-', the value of
-       the  shell variable OOLLDDPPWWDD, if it is set, is substituted.  If the char-
-       acters following the tilde in the tilde-prefix consist of a  number  _N,
-       optionally  prefixed  by  a  `+' or a `-', the tilde-prefix is replaced
+       the shell variable OOLLDDPPWWDD, if it is set, is substituted.  If the  char-
+       acters  following  the tilde in the tilde-prefix consist of a number _N,
+       optionally prefixed by a `+' or a `-',  the  tilde-prefix  is  replaced
        with the corresponding element from the directory stack, as it would be
        displayed by the ddiirrss builtin invoked with the tilde-prefix as an argu-
-       ment.  If the characters following the tilde in the  tilde-prefix  con-
+       ment.   If  the characters following the tilde in the tilde-prefix con-
        sist of a number without a leading `+' or `-', `+' is assumed.
 
        If the login name is invalid, or the tilde expansion fails, the word is
